# BuckoVidLib.properties
# Configure BuckoVidLib
#
# Used by BSAccount to build the email url
# BuckoVidLib.baseUrl=http://localhost:8082/BuckoVidLib

# Should we use the compressed javascript? (production = true)
BuckoVidLib.compressJS=false
BuckoVidLib.debugJS=true
BuckoVidLib.prettyPrint=true
BuckoVidLib.logExceptions=true

# In production, we want to keep going on a recoverable error
# In development, we want to stop and look at what's going on
BuckoVidLib.continueOnError=false

BuckoVidLib.admins=dick
BuckoVidLib.unrestrictedUsers=dik, cppc, zach

# Wo ist die server?
BuckoVidLib.plexServer=http://lamp/plex

# Cache the images locally? (May use lots of disk space)
BuckoVidLib.useImageCache=true

# Where do the cache files live
BuckoVidLib.imageCacheBaseDir=C:/Web/Derived/static/bvlib

# Where does the browser pick up the cached files from
BuckoVidLib.imageCacheUrl=http://localhost/static/bvlib

# populate the library from plex on startup? or use the database
BuckoVidLib.runFromPlex=false

# comma separated list of sections to omit completely from the database
#BuckoVidLib.skipSections=Adult, Train Videos

# comma separated list of restricted sections. Only unrestricted users have access.
BuckoVidLib.restrictedSections=Adult

# how often do we check plex for updates?
# default is 60 seconds
# 60=1m, 300=5m, 900=15m, 3600=1h, 14400=4h, 21600=6h,
BuckoVidLib.recentUpdateCheck=3600

# how often do we check for stale db connections?
# default is 6 hours
BuckoVidLib.dbTimerDelay=14400

# I have seen my whole database wiped out a couple of times. So lets try to maybe catch who did it.
BuckoVidLib.logTruncate=true

cxf.client.connection.timeout=15000
cxf.client.receive.timeout=75000
cxf.client.logging.in.interceptor.enable=false
cxf.client.logging.out.interceptor.enable=true

